
Name:      ww8-bash
Version:   1.0.7
Release:   4%{?dist}
License:   MIT
Summary:   Environment settings
Group:     System Environment/Base
Url:       https://simlab.ww.uni-erlangen.de/ww8it/packaging/ww8-bash-env
Source0:    zz_ww8_mkl_fix.sh
%description
Environment settings for Institute of Material Simulation (WW8).

%package env
Summary:   Environment settings
BuildArch:  noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}
Requires:    /etc/profile.d

%description env
Environment settings for Institute of Material Simulation (WW8).


%package tools
Summary:     Bash Environment Tools
Group:       System Environment/Base

Requires:    bash-completion
%if 0%{?rhel} == 7
Requires:    bash-completion-extras
%endif

# tools
Requires:   dmidecode
Requires:   lshw
Requires:   dos2unix
Requires:   htop
Requires:   iotop
Requires:   iftop
Requires:   glances

# user-tools
Requires:   clusterssh
Requires:   colordiff
Requires:   screen
Requires:   tmux
Requires:   spawn
Requires:   parallel

Requires:   apg
Requires:   yamllint

%description tools
Basic shell tools provided in Institute of Material Simulation (WW8).


%prep
# echo empty prep

%build
# echo empty build

%install
rm -rf %{buildroot}
%{__install} -Dp -v -m0644 %{SOURCE0}  %{buildroot}%{_sysconfdir}/profile.d/zz_ww8_mkl_fix.sh

%files env
%defattr(-,root,root,-)
%config %{_sysconfdir}/profile.d/zz_ww8_mkl_fix.sh

%files tools



%changelog
* Mon Jan 13 2025 Christof Schulze <christof.schulze@fau.de> - 1.0.7-4
  - rebuild for Fedora 39
* Tue May 28 2024 Christof Schulze <christof.schulze@fau.de> - 1.0.7-3
  - rebuild for Fedora 41
* Mon May 15 2023 Christof Schulze <christof.schulze@fau.de> - 1.0.7-2
  - fixing CI pipeline
* Mon May 15 2023 Christof Schulze <christof.schulze@fau.de> - 1.0.7-1
  - rebuild for Fedora 38
* Wed May 18 2022 Christof Schulze <christof.schulze@fau.de> - 1.0.6-1
  - rebuild for Fedora 36
  - remove %%clean section
  - added CI basics
* Tue Feb  8 2022 Christof Schulze <christof.schulze@fau.de> - 1.0.5-1
  - fixing mkl_fix
* Thu Dec  2 2021 Christof Schulze <christof.schulze@fau.de> - 1.0.4-1
  - added apt and yamllint
* Thu Apr 29 2021 Christof Schulze <christof.schulze@fau.de> - 1.0.3-1
  - include meta-package to populate the bash
* Mon Mar 15 2021 Christof Schulze <christof.schulze@fau.de> - 1.0.2-1
  - first release of ww8-bash-env settings
* Sat Apr 11 2020 Christof Schulze <christof.schulze@fau.de> - 1.0.0-1
  - first release of ww8-bash-env settings
